VARKON Version 1.15 1997-12-29

> ## cur_offs - Geometric procedure

> Creates a curve
> Description
> Creates a curve with constant offset to another curve.
> Syntax
> cur_offs(id, ref, offset:attributes);

> REF | id;
> REF | ref;
> FLOAT | offset;

> Principal parameters

> id | - Local identity
> ref | - Identity of other curve
> offset | - Offset value, pos. value => right side, neg. value => left side

> Optional parameters

> None. |

> Attributes

> PEN | - Pen or colour number
> LEVEL | - Level number
> BLANK | - Visible(0) or invisible(1)
> CFONT | - Solid(0), dashed(1) or centerline(2)
> CDASHL | - Dashlength
> WIDTH | - Linewidth

> Examples
> cur_offs(#4,#2,10);
> Creates a curve #4 on the right side of and at constant perpendicular distance from #2. Distance = 10.
> Comments
> In a 3D module the result is always a planar curve in the XY-plane of the active coordinate system. If the original curve is not in this plane it will be projected along the Z-axis onto the XY-plane before the new curve is created.
> The old curve must be C1 continous. Normally all curves in VARKON are C1 continous but curves with kinks can be created for example with cur_comp.
> If the original curve has sharp inner corners and the offset value is large loops may result. VARKON tries to detect this and generates an error message if one is found.
> Note that all curves including UV-curves and other offset curves can be used to create new offset curves.

VARKON Homepage | Index